Page MenuHomePhabricator

[bindings/go] Add bindings to LLVMGet?CmpPredicate
ClosedPublic

Authored by aykevl on Oct 30 2018, 12:55 PM.

Details

Reviewers
whitequark
pcc
Summary

Add bindings so that predicates on comparisons (icmp/fcmp) can be inspected from IR.

Note: I considered adding Value.ICmpPredicate() etc. instead but Value.IntPredicate() seemed easier to read and matches the name of the returned type.

Diff Detail

Event Timeline

aykevl created this revision.Oct 30 2018, 12:55 PM
aykevl edited the summary of this revision. (Show Details)Oct 30 2018, 3:31 PM
This revision is now accepted and ready to land.Jan 6 2019, 1:19 PM
aykevl closed this revision.Jun 8 2019, 3:20 PM

Merged in r362893.

Herald added a project: Restricted Project. ยท View Herald TranscriptJun 8 2019, 3:20 PM